Bug 149931 - [PATCH] audio/mpc: update to 0.19
Summary: [PATCH] audio/mpc: update to 0.19
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexander Logvinov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-24 09:20 UTC by David Demelier
Modified: 2010-09-12 02:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.07 KB, patch)
2010-08-24 09:20 UTC, David Demelier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Demelier 2010-08-24 09:20:04 UTC
I updated mpc to 0.19.

http://mpd.wikia.com/wiki/Client:Mpc
Comment 1 Edwin Groothuis freebsd_committer 2010-08-24 09:20:19 UTC
Maintainer of audio/mpc,

Please note that PR ports/149931 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/149931

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-08-24 09:20:22 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 David Demelier 2010-08-24 10:56:30 UTC
  Please use this patch instead :

--- Makefile.orig    2010-08-24 10:06:32.000000000 +0200
+++ Makefile    2010-08-24 10:46:32.000000000 +0200
@@ -6,13 +6,15 @@
  #

  PORTNAME=    mpc
-PORTVERSION=    0.17
+PORTVERSION=    0.19
  CATEGORIES=    audio ipv6
  MASTER_SITES=    SF/musicpd/${PORTNAME}/${PORTVERSION}

  MAINTAINER=    ports@mark.reidel.info
  COMMENT=    Command line client for the musicpd

+LIB_DEPENDS=    mpdclient:${PORTSDIR}/audio/libmpdclient
+
  OPTIONS=    ICONV "Support for international characters" on

  USE_BZIP2=    yes
@@ -47,7 +49,7 @@
  .endif
  .ifndef(NOPORTEXAMPLES)
      @${MKDIR} ${EXAMPLESDIR}
-    ${INSTALL_DATA} ${WRKSRC}/doc/${PORTNAME}-bashrc ${EXAMPLESDIR}
+    ${INSTALL_DATA} ${WRKSRC}/doc/${PORTNAME}-completion.bash 
${EXAMPLESDIR}
  .endif
      ${INSTALL_MAN} ${WRKSRC}/doc/${PORTNAME}.1 ${MAN1PREFIX}/man/man1/

--- distinfo.orig    2010-08-24 10:06:47.000000000 +0200
+++ distinfo    2010-08-24 10:07:05.000000000 +0200
@@ -1,3 +1,3 @@
-MD5 (mpc-0.17.tar.bz2) = 3f642c2c2ad7a57a9be7a03351c8c558
-SHA256 (mpc-0.17.tar.bz2) = 
24e9ef0f0fcfb776cfe802aa2b49469c552018516062c17620cf0af2687911a7
-SIZE (mpc-0.17.tar.bz2) = 104465
+MD5 (mpc-0.19.tar.bz2) = 9ab2967d9ec719b06a86f3b4121be654
+SHA256 (mpc-0.19.tar.bz2) = 
8fe9e1ce16f5a66653fa85706d22ceb9472827c28a56e2f7cf4c41a0a4931d17
+SIZE (mpc-0.19.tar.bz2) = 98036
Comment 4 Alexander Logvinov freebsd_committer 2010-08-28 16:06:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->avl

I'll take it.
Comment 5 dfilter service freebsd_committer 2010-09-12 02:25:53 UTC
avl         2010-09-12 01:25:48 UTC

  FreeBSD ports repository

  Modified files:
    audio/mpc            Makefile distinfo 
  Log:
  - Update to 0.19
  
  PR:             ports/149931
  Submitted by:   David Demelier <markand at malikania.fr>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.18      +17 -4     ports/audio/mpc/Makefile
  1.12      +3 -3      ports/audio/mpc/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Alexander Logvinov freebsd_committer 2010-09-12 02:27:25 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!